## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           sblg
Version:        0.6.1
Release:        %{autorelease}
Summary:        Static blog utility
%global ver     %(v=%{version}; echo ${v//\./_})

License:        ISC
URL:            https://kristaps.bsd.lv/sblg/
VCS:            git:https://github.com/kristapsdz/sblg.git
Source:         https://github.com/kristapsdz/sblg/archive/VERSION_%{ver}/sblg-VERSION_%{ver}.tar.gz

BuildRequires:  gcc
BuildRequires:  expat-devel
BuildRequires:  make
BuildRequires:  valgrind

Recommends:  lowdown

%description
sblg is a utility for creating static blogs. It merges articles into templates
to generate static HTML files, Atom feeds, and JSON files. It's built for use
with make. No PHP, no database, just a simple UNIX tool for pulling data from
articles and populating templates. 

%package doc
BuildArch: noarch
Summary: Static blog utility


%description doc
Examples and documentation for sblg.

%prep
%autosetup -n sblg-VERSION_%{ver}


%build
# Does not use autotools, so passing fedora flags causes an error
./configure PREFIX=%{_prefix} MANDIR=%{_mandir} SHAREDIR=%{_docdir} LDFLAGS="${LDFLAGS}"
%make_build


%install
%make_install
# Ensure has correct permissions
chmod 755 %{buildroot}/%{_bindir}/sblg

%check
make regress
make valgrind

%files
%license LICENSE.md
%doc README.md
%{_bindir}/sblg
%{_mandir}/man1/sblg.1*

%files doc
%license LICENSE.md
%{_docdir}/sblg/

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Wed Jan 29 2025 Benson Muite <bkmgit@noreply.githubusers.com> - 0.6.1-1
- Initial import bz 2338432
## END: Generated by rpmautospec
